.pragma library

function func(tabs)
{
    let pyqcrm_conf = {};
    for (var j = 0; j < tabs.length; j++)
    {
        pyqcrm_conf[tabs[j].name] = {}
        for (var i = 0; i < tabs[j].children.length; i++)
        {
            if (tabs[j].children[i].name)
            {
                if (!tabs[j].children[i].text.trim())
                return false
                pyqcrm_conf[tabs[j].name] [tabs[j].children[i].name] = tabs[j].children[i].text
            }
        }
    }    
    return pyqcrm_conf
}





